curl --request GET \
--url https://api.example.com/api/v1/detector/{id} \
--header 'Authorization: Bearer <token>'{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"schema": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"title": "<string>",
"name": "<string>",
"version": "0.0.1",
"description": "Detector schema description example",
"author": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"networkTags": [
"<string>"
]
},
"contractId": 123,
"name": "<string>",
"source": "ATTACK_DETECTOR",
"tags": [
"<string>"
],
"config": {},
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"type": "EMAIL",
"uid": "Telegram: /start {uid}",
"tags": [
"DEFAULT"
],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"actions": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"actionId": 123
}
]
}curl --request GET \
--url https://api.example.com/api/v1/detector/{id} \
--header 'Authorization: Bearer <token>'{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"schema": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"title": "<string>",
"name": "<string>",
"version": "0.0.1",
"description": "Detector schema description example",
"author": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"networkTags": [
"<string>"
]
},
"contractId": 123,
"name": "<string>",
"source": "ATTACK_DETECTOR",
"tags": [
"<string>"
],
"config": {},
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"type": "EMAIL",
"uid": "Telegram: /start {uid}",
"tags": [
"DEFAULT"
],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"actions": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"actionId": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
OK
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
ACTIVE, DISABLED, DELETED Unique identifier of the detector config schema. Default: 'Basic' detector schema
Show child attributes
Unique identifier of the contract associated with the extractor action
Name of the detector
Source of the detector events (Kafka topic)
ATTACK_DETECTOR, FORTA, SENTINEL Tags of the detector
Configuration of the detector. Should match with Json schema from detector type
Show child attributes
List of destinations associated with the entry
Show child attributes
List of actions associated with the entry
Show child attributes